BEGIN MYOUNGCH

IF ~Global("MRDream2","GLOBAL",3)~ THEN BEGIN MRDream2-sub1
	SAY ~(You suddenly feel different. Your body is smaller and awkwardly proportioned; your mind filled with small concerns and trivial thoughts.)~
	=
	~(As if possessed, you feel yourself look to your right. As you see a younger version of Imoen, you understand you're inside your teenage manifestation.)~
	IF ~~ THEN EXTERN MYOUNGIM MRDream2-sub2
END

CHAIN2 MYOUNGIM MRDream2-sub2
~We're finally here! Whoa, this place hasn't changed a bit, has it?~ [ MRImRom3 ]
==
~Looks just the same.~
==
~So what are we waiting for? Let's get into the water!~
END MYOUNGIM MRDream2-sub3

IF ~Global("MRDream2","GLOBAL",4)~ THEN BEGIN MRDream2-sub4
	SAY ~(Your younger self slows, stops and stares. <PRO_HESHE> watches Imoen reach the water's edge, take a final leap and throw herself head-first into the water. The arc of her jump crystalizes in a perfect frozen moment - the sun-kissed skin, the wild-whipped hair, the carefree grin and delightfully rounded shapes. She's beautiful.)~
	=
	~(Her head emerges from the lake's surface, wet crimson hair pouring over neck and shoulders. She turns about, taking a moment to find you.)~
	IF ~~ THEN EXTERN MYOUNGIM MRDream2-sub5
END


IF ~~ THEN BEGIN MRDream2-sub6
	SAY ~(Your younger self is roused from <PRO_HISHER> daydreaming. Once more Imoen is just the happy-go-lucky girl that has been <PRO_HISHER> friend for so long.)~
	=
	~(Yet the perfect frozen moment lurks beneath, stirring the waters deep below.)~
 	=
	~Here I come!~
	IF ~Gender(Player1,MALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("cutim09")~
	EXIT
	IF ~Gender(Player1,FEMALE)~ THEN DO ~ClearAllActions()
	StartCutSceneMode()
	StartCutScene("CutiF09")~
	EXIT
END





